package TestOO;
use strict; use warnings;
use MainLib::DefaultObjHash;
# inheritance
our @ISA;
push @ISA, qw(MainLib::DefaultObjHash);

sub new {
  bless { switch=>{ -sw1=>q(A) } };
}

sub switches {
  my ($this,%opt) = @_;
  my %lopt=$this->_LocalSwitch(%opt);
  while (my($k,$v) = each(%lopt)) {
    print "$k  $v\n";
  }
}

1;
